LDD(1)

NAME
ldd - list dynamic object dependencies

SYNOPSIS
ldd [filename ...]

DESCRIPTION
ldd displays all shared objects that are needed to run the given program. Contrary to nm(1), the list includes “indirect” depedencies that are the result of needed shared objects which themselves depend on yet other shared objects.

SEE ALSO
ld(1), ld.so(1), nm(1)

HISTORY
A ldd utility first appeared in SunOS 4.0, it appeared in its current form in FreeBSD 1.1.